Name: rhevm-sdk-python
Version: 3.5.2.1
Release: 1%{?dist}
Summary: RHEV-M Software Development Kit
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org/wiki/SDK

# git clone git://gerrit.ovirt.org/ovirt-engine-sdk
# cd ovirt-engine-sdk
# git archive --prefix=ovirt-engine-sdk-python-3.5.2.1/ 3.5.2.1 | xz > ovirt-engine-sdk-python-3.5.2.1.tar.xz
Source0: ovirt-engine-sdk-python-%{version}.tar.xz

BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildArch: noarch

Requires: python
Requires: python-lxml

Provides:  rhevm-sdk = %{version}
Obsoletes: rhevm-sdk < 3.3.0.0

# This package and the corresponding upstream package use the same
# paths and files, so they can't be installed together:
Conflicts: ovirt-engine-sdk

# This patch changes the branding from oVirt to RHEV:
Patch0: 0001-Branding.patch

%description
This package contains The RHEV-M Software Development Kit.
With this package, custom software can be built for RHEV-M.

%prep

# Unpack the source:
%setup -q -n ovirt-engine-sdk-python-%{version}

# Apply the patches:
%patch0 -p1

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/ovirtsdk
%{python_sitelib}/rhevm_sdk_python-*-info
%doc AUTHORS.md
%doc README.md
%doc LICENSE.md

%changelog
* Tue Mar 31 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.2.1-1
- Update to upstream 3.5.2.1.
- Add principal and namespace parameters to users and groups #1188176.

* Fri Feb 27 2015 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.2.0-1
- Update to upstream 3.5.2.0.
- Added All-Content support to hosts #1194185.
- Added isattached action to storage domain #1179246.
- Added support for the operations to move, copy and export disks using
  the top level disks collection #1169376.
- Added support for reconfigure firewall (override_iptables) to the host
  installation action #1179613.
- Added support for importing block storage domains #1181681.
- Added support for specifying cluster during migration #1150191.
- Added logical_name to disks #1063597.

* Tue Dec 2 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.8-2
- Add support for template custom properties #1011735.

* Tue Nov 11 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.8-1
- Update to upstream 3.5.0.8.
- Apply filter by name/alias after get #1155678.

* Tue Nov 04 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.7-4
- Add snapshot id to snapshot preview action #1155656.

* Wed Oct 15 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.7-3
- Add support for memory ballooning #1149188.
- Add support for unregisterd VMs #1148715.

* Mon Oct 6 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.7-2
- Replace storage_manager with spm #1146457.

* Wed Sep 10 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.7-1
- Update to upstream 3.5.0.7.
- Added support for watchdog action and model #1129840.

* Wed Sep 3 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.6-1
- Update to upstream 3.5.0.6.
- Added support for network QoS.
- Added support to enable/disable sound card to VM, pool and template.

* Wed Aug 27 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.5-1
- Update to upstream 3.5.0.5.
- Added support for QoS, including CPU and disk profiles.
- Added support for iSCSI bonds.
- Disconnect at constructor only if proxy found #996021.

* Wed Aug 20 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.4-1
- Update to upstream 3.5.0.4.
- Revert patch 0525e9d #1122546.
- Update API fails in SDK & CLI #1122546.

* Wed Jul 23 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.3-1
- Update to upstream 3.5.0.3.
- Fix naming conflict #1120502.
- Fix parameters of add DataCenter #1104085.
- Fix update VM optional parameters #1082594.

* Wed Jul 9 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.2-1
- Update to upstream 3.5.0.2.
- Calculate singulars correctly #1114655.

* Wed Jul 9 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.1-1
- Update to upstream version 3.5.0.1.
- Added NUMA support.
- Added actions to copy and move disks #1097681.
- Added file_transfer_enabled and copy_paste_enabled elements to Display.
- Added protocol element to Host.
- Added support for Gluster volume profiling.
- Added support for instance types.
- Added support for quota.id parameter for disks.
- Added support for random number generator device.
- Added support for scheduling policies.
- Added support storage domains disks sub-collection.
- Added support to register VMs and templates.
- Ignore errors when cleaning old connection #1116009.
- Replace decorators before marshal #1024696.
- Support X-Ovirt-Expect header #1093784.

* Tue Jul 8 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.0-2
- Fix branding issue in error messages #1099909.

* Thu Jul 3 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.5.0.0-1
- Update to upstream version 3.5.0.0.
- Regenerate for version 3.5 of the engine.
- Added action to undelete events.
- Added base_interface to host_nic.
- Added boot_menu to VM and template.
- Added custom properties to host_nic.
- Added disksnapshots sub-collection to storagedomains.
- Added domain_entry_id to users and groups.
- Added sessions sub-collection to vms.
- Added support for Gluster volume statistics.
- Added support for VM and template custom serial numbers.
- Added support for bookmarks.
- Added support for deleting VM disk snapshots.
- Added support for reporting VM SELinux configuration.
- Added support for reporting VM kdump configuration.
- Added support for reporting architecture capabilities.
- Added tags sub-collection to templates.

* Tue Jun 24 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.1.1-1
- Update to upstream version 3.4.1.1.
- Add Expect and Correlation-Id parameters to snapshots and network label
  related methods #1101531.

* Wed Apr 30 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.1.0-2
- Added maintenance operation to VM.
- Added hosted_engine element to Host.
- Added labels to Network.
- Added labels to HostNIC.

* Wed Apr 23 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.1.0-1
- Update to upstream version 3.4.1.0.
- Added actions to preview, commit and undo snapshots.
- Added support for affinity groups.
- Added support to import a VM as template.
- Removed external_id from users and groups.
- Renamed cloud_init.hostname to cloud_init.host.address.

* Wed Apr 16 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.7-1
- Update to upstream version 3.4.0.7.
- Add support for filtering kwargs based on attributes.
- Add check of SSL server name.
- No new lines in basic auth token #1085837.

* Tue Apr 1 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.6-2
- Regenerate against latest API.
- Added support for affinity groups.
- Added support to import image as template.
- Added preview, commit and undo operations to snapshots.

* Tue Apr 1 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.6-1
- Update to upstream 3.4.0.6.
- Removed ip.mtu parameter from host NIC update operation.

* Thu Feb 27 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.5-1
- Added template versions support.

* Wed Feb 12 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.4-1
- Added all_content parameter to relevant entities and collections.
- Added automatic_pm_enabled property to Host.
- Added disks collection to Snapshot actions.
- Added ha_reservation property to Cluster.
- Added ksm property to Cluster.
- Added local property to DataCenter.
- Added migration_downtime property to VM and Template.
- Added network label support.
- Added reboot action to VM.
- Added sso property to VM and Template.
- Remove trailing slashes from URL prefix.

* Tue Jan 28 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.4.0.3-1
- Use relative paths rhbz#1038952.

* Wed Dec 11 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.21-1
- to vms added [action.vm.initialization.cloud-init]
- to NIC added OnBoot/BootProtocol properties
- to VersionCaps added a list of supported payload-encodings

* Tue Nov 26 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.20-1
- to VnicProfile added Permissions sub-collection #1014985
- from VMSnapshot removed actions: preview, undo, commit #1018554
- to VnicProfilePermission.delete() method added correlation_id/async params

* Wed Nov 6 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.19-1
- rename power management agent user_name to username #1005751

* Tue Oct 29 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.18-1
- to host.install() added ssh related details
- to template added virtio_scsi.enabled
- to vm added virtio_scsi.enabled
- added ability to attach a disk snapshot to the virtual machine

* Tue Oct 22 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.17-1
- to File class added 'content' field
- Payload class now reuses Files instead of own List<PayloadFile> collection

* Tue Oct 8 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.16-1
- added fqdn property to GuestInfo

* Mon Sep 30 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.15-1
- to DataCenterStorageDomainDisk added export() action
- to StorageDomainDisk added export() action
- to TemplateDisk added export() action
- to VMDisk added export() action
- to Disk added export() action

* Tue Sep 17 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.14-1
 - refine host add()/update() documentation
 - VCpuPin parameter rename

* Tue Sep 3 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.13-1
 - added StorageDomainStorageConnection.delete(async) signature
 - added StorageDomainStorageConnections.add(storageconnection, expect, correlationId) signature

* Tue Aug 27 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.12-1
- implement support for with-resources statement
- in Cluster added glusterhooks (ClusterGlusterHooks) sub-collection
- in DataCenterCluster added glusterhooks (DataCenterClusterGlusterhooks)
  sub-collection
- in StorageDomain added images (StorageDomainImages) sub-collection

* Wed Aug 14 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.11-1
- implicitly disconnect and perform cleanup
- encapsulate context removal

* Tue Aug 13 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.10-1
- added VnicProfiles root-collection
- at network added VnicProfiles sub-collection
- at storagedomain added StorageConnections sub-collection
- at VnicProfile added Permission sub-collection
- to network.add()/.updated added [network.profile_required]
- to NICs.add() added new overload with [nic.vnic_profile.id]
- to NIC.update() added new overload with [nic.vnic_profile.id]
- to VMSnapshots.list()/.get() added [String allContent] parameter
- to VMs.add() added new overload based on [vm.initialization.configuration.type|data]

* Thu Aug 8 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.9-1
- added root collection StorageConnections
- added [host.override_iptables]
- added [template.cpu_shares]
- added [template.display.single_qxl_pci]
- added [vm.display.single_qxl_pci]
- added [vm.cpu_shares]

* Wed Jul 31 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.8-1
- to template added:
  - [@param template.console.enabled: boolean] #878459
- to vm added:
  - [@param vm.console.enabled: boolean] #878459

* Thu Jul 25 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.7-1
- to Cluster added:
  - [@param cluster.comment: string]
  - [@param cluster.ballooning_enabled: boolean]
  - [@param cluster.tunnel_migration: boolean]
- to Host added:
  - [@param host.comment: string]
  - [@param host.ssh.port: int]
  - [@param host.ssh.fingerprint: string]
  - [@param host.ssh.authentication_type: string]
  - [@param host.ssh.password: string]
  - forceselectspm() action
- to Network added:
  - [@param network.comment: string]
- to StorageDomain
  - [@param storagedomain.comment: string]
- to Template added:
  - [@param template.comment: string]
  - [@param template.permissions.clone: boolean]
- to VM added:
  - [@param vm.comment: string]
  - [@param vm.permissions.clone: boolean]

* Tue Jul 16 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.6-1
- added "watchdog" feature #947977
- added "external tasks" feature #872719
- snapshot can persist/restore memory state now #960931

* Tue Jul 9 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.5-1
- to cluster.add()/update() added [trusted_service: boolean] property #929057
- to datacenter added new field [comment]
- to disk added [sgio] field to enable|disable filtering for the ScsiGenericIo

* Tue Jun 18 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.3-1
- to VmPools.add() added new property [@param vmpool.max_user_vms: int]
- to NIC added new property [custom_properties]
- to cluster.update() added new doc [@param cluster.data_center.id: string]
- to host.fence() added parameter action.fence_type
- to StorageDomain.delete() added doc host.id|name
- to StorageDomains.add() added doc [@param storagedomain.storage_format: string]
- to VM added new sub-collection VMApplications
- removed DataCenterQuota.delete() (not supported in this version)
- removed DataCenterQuota.add() (not supported in this version)

* Wed May 1 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.2-1
- in ClusterGlusterVolumeBricks fixed add() parameters
- to StorageDomainVM.delete() added async parameter
- fixed parent tag parameter in the tags.add()/.update() methods
- nic.network is no longer mandatory parameter for vnic creation
- Implement Session-TTL header support #928313
- refactor invocation flow #949189, #949187
- user should not see admin permissions the DC #924357

* Fri Apr 26 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.1-1
- added new collection ClusterGlusterVolumeBrickStatistics
- added NetUp 'cloned disk' importing capabilities
- to ClusterGlusterVolumeBricks.list() added new argument "all_content"
- to ClusterGlusterVolumeBricks.get() added new argument "all_content"
- to host install method added new parameter "image"
- to host add method added new parameter "display.address"
- to vm add method added new parameter "vm.cpu.mode"
- to vm add method added new overload for creating vm from snapshot
- to cluster added tunnel_migration
- to display added keyboard_layout
- to display added smartcard_enabled
- to DataCenter added Clusters sub-collection
- to StorageDomain added Disks sub-collection
- to Disks.list() added 'unregistered' argument
- to Host added display.address
- to Snapshot added commit/preview/undo actions
- to vms.add() added overload for creating vm from snapshot
- to hosts.add() added [@param host.display.address: string]
- to vm.ticket() added [@param action.ticket.value: string]
- return error if amount of fetched objects in X.get() is > 1 #890327
- session based authentication for /localhost is broken #916285
- explicitly ask for reply in xml
- Add constructor parameter validate_cert_chain=True #915225
- defend against malformed server reply
- expose datetime elements as strings while schema defines them as xs:dateTime #960747

* Thu Apr 25 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.9-1
- added new collection ClusterGlusterVolumeBrickStatistics
- to ClusterGlusterVolumeBricks.list() added new argument "all_content"
- to ClusterGlusterVolumeBricks.get() added new argument "all_content"
- implement Session-TTL header support #928313
- DefaultCookiePolicy instance has no attribute '_now', during delete 400 VM's #949189
- connection failure, [Errno -5] during delete 400 VM's #949187

* Thu Apr 4 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.8-1
- user should not see admin permissions for the DC #924357

* Wed Apr 3 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.7-1
- getItem() got an unexpected keyword argument 'query' #947085
- return error if amount of fetched objects in X.get() is > 1 #890327

* Thu Mar 28 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.6-1
- added new collection DataCenterStorageDomainDisks
- added new collection StorageDomainDisks
- added NetUp 'cloned disk' importing capabilities
- to host install method added new parameter "image"
- to host add method added new parameter "display.address"
- to vm add method added new parameter "vm.cpu.mode"
- to vm add method added new overload for creating vm from snapshot

* Sun Mar 3 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.5-1
- session based authentication is broken #916285

* Thu Feb 28 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.4-1
- add constructor parameter validate_cert_chain=True #915225
- defend against malformed server reply

* Tue Feb 19 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.3-1
- to DiskStatistics.list() added 'max' argument
- to ClusterGlusterVolumeBrick added 'replace' action
- Host can be added to cluster now either by id or name

* Thu Jan 17 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.2-1
- events can be added now (user defined events)
- events can be removed now
- vm can be removed now, but it's disk/s kept (added disks.detach_only property to VMDisks)
- to host add()/update() methods added power_management.agents parameter
- host can be added now by using cluster.name (not only cluster-id)
- to disk added permissions sub-collection
- to NIC added "linked" property (can be changed to reach desired link state)
- to NIC added "plugged" property (can be changed to reach desired NIC state)
- to VM added ReportedDevices sub-collection (holds data reported by the guest agent)
- to VMNIC added ReportedDevices sub-collection (holds data reported by the guest agent)
- to PowerManagement added Agents collection
- to VMDisk added move() action
- to cluster added threads_as_cores property (expose cpu threads as cores)
- to CpuTopology added "threads" property (indicating amount of available threads)
- to Host added "libvirt_version" property
- to Host added "hardware_information" property (containing BIOS information)
- documented possible sdk errors

* Tue Jan 8 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.1-1
- to host added hooks sub-collection
- added force flag the host.delete()
- added host.power_management.pm_proxy collection
- added permissions sub-collection to network
- added search capabilities to api.networks collection
- added deletion protection to the template/vm via .delete_protected
- add print of the whole response body in debug mode #887808
- httpsconnection.source_address is not supported on python26 #877897
- cannot create simultaneous connections to multiple servers #853947
- to StorageDomainVM.import() added action.exclusive parameter
- to StorageDomainTemplate.import() added action.exclusive parameter
- added /current argument to VmCdRom.update() acorrding to #869257
- implemented support for #869257
- added /async argument to VmCdRom.update()
- added /async argument to ClusterNetworks.update()
- removed Disk.update() method
- added parameters overload for adding direct-lun disk
- added vm/template.display.smartcard_enabled
- added correlation_id to VMDisk.activate()/deactivate()
- added correlation_id to VMNic.activate()/deactivate()
- added certificate property to vm

* Wed Nov 7 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.16-1
- disk.lunStorage renamed to disk.lun_storage #873205
- added nfs_version to Capabilities resource

* Thu Oct 25 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.15-1
- added /current argument to VmCdRom.update() according to #869257
- implemented support for #869257
- added /async argument to VmCdRom.update()
- added /async argument to ClusterNetworks.update()

* Tue Oct 16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.14-1
- cannot fetch the disk using /alias #865407
- restrict .get() methods to id/name
- rebase to latest api:
  - removed Disk.update() signature
  - aded parameters overload for Disks.add() for lun based disks
  - aded parameters overload for VMDisks.add() for lun based disks
  - to VMDisk.activate() added correlation_id argument
  - to VMDisk.deactivate() added correlation_id argument
  - to VMNic.activate() added correlation_id argument
  - to VMNic.deactivate() added correlation_id argument
  - gluster action refactored to lowercase
  - added TemplateDisk.copy()
  - added VmPool.allocatevm()

* Thu Oct 4 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.12-1
- rebase to latest api:
  - disk.name replaced with disk.alias
  - added StorageDomainTemplate.delete()
  - added StorageDomainVM.delete()
  - template.display.allow_reconnect renamed to 
    template.display.allow_override
  - vm.display.allow_reconnect renamed to 
    vm.display.allow_override
  - added template.cpu.cpu_tune.vcpu_pin documentation
  - added vm.cpu.cpu_tune.vcpu_pin documentation
  - to vmpools.add() added vmpool.size
  - to vmpools.update() added vmpool.size

* Mon Oct 1 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.11-1
- defend against disconnected mode when no proxy cached
- allow persistent_auth via localhost
- change all occurrences of ovirt- > rhevm #856483
- make /filter header global rather than method driven #857018
- to host, added max_scheduling_memory property

* Tue Sep 11 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.10-1
- throw error when connecting to ssl site using http protocol #855860
- to Disks.add() added /name arg
- to disk.install() added r/oot_password arg
- to Template.delete() added async/correlation_id args
- to Template.update added documentation
- to HostTags.add() added expect/correlation_id args
- to VM.start added /filter header
- added correlation_id to:
  - restore snapshot
  - detach HostNIC
  - added create/update/delete methods to template.nics

* Thu Sep 6 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.9-1
- revert of do not mandate CA certificate

* Mon Sep 3 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.8-1
- raise NoCertificatesError only when no ca_file
- do not mandate CA certificate
  (this change is required to allow sdk consuming tools adapting to new security policy)

* Mon Aug 27 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.7-1
- use cached /filter argument rather than demanding it in methods
- added correlation_id to:
  restore snapshot
  detach HostNIC
  attach tag
- added create/update/delete methods to template.nics
- clean context on disconnect
- add filter parameter to proxy ctr.
- support app. server errors

* Mon Aug 20 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.6-1
- make request error being capable to handle any type of server response
- verify credentials before storing proxy in cache
- implement server identity check #848285
- implement insecure flag #848046

* Sun Aug 5 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.5-1
- implemented http header support
- added custom_configuration flag to host NIC
- added override_configuration flag for setupnetworks action
- added Correlation-Id header params
- do not allow sending empty headers
- refactor url params documentation
- removed disk.allow_snapshot param documentation
- to network.update() added [@param network.name: string]
- fixed vm/template os.boot documentation

* Mon Jul 9 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.4-1
- fix typo in 'storage' based args documentation
- make 'name' optional in storagedomains.add() to allow importing existent SD
- make api.storagedomains collection searchable
- Host object doesnt expose storage collection #838269
- to DC.delete() method added [@param action.force: boolean]
- api.networks no longer searchable collection
- to create SD added [@param storagdomain.storage.override_luns: boolean]
- VM.delete() no longer requires Action() parameter as mandatory
- SDK should expose api root resource /api #830513
- perform get() request on proxy construction to validate user credentials #827878
- extract error body <h1>xxx</h1> from detail produced by application server #827881
- do not show brackets in error.detail
- fix api.capabilities get/list methods

* Mon Jun 25 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.3-1
- to all collection added optional /max/ param. which is signals engine
  to override default amount of returned objects with user defined value
- to Disk type added provisioned_size property and removed /type/ (not supported in 3.1)
- to StorageDomainTemplate/VM import candidates params added clone, name
  properties for clonging imported object.
- to StorageDomainTemplate/VM import candidates params added 
  collapse_snapshots property
- to VM added vcpu_pin collection for vm cpu pinning

* Thu Jun 7 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.2-1alpha
- prevent stack overflow caused by comparisons creating infinite loops
- fix error handling regression
- implement support for 3+ period based URLs, new capabilities:
  - vm.snapshot.disks/nics collections support
  - host/vm.nics.statistics collections support
  - collection/resource.permits support
- rebase to latest api, new capabilities:
  - gluster collections/resources
  - quota support
  - remove template disk (by storage domain)
  - vm.payload support
  - floating disk support
- add __eqals__ to business entities #782891

* Wed May 16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.1-1alpha
- Version format refactoring to align with oVirt version schema 
- Alpha release

* Thu May 10 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.5
- Added session based auth. support
- Infinite recursion when calling non-existent method #808124
- at Network/.add() added [@param network.usages: collection]
- at HostNIC/.add() added [@param hostnic.ip.mtu: int]
- at StorageDomainTemplate/StorageDomainVM.import() added:
  [@param action.storagedomain.id|name: string]
  [@param action.vm.disks.disk: collection]
- at StorageDomains.add() method added:
  Overload 4:
    @param storagdomain.name: string
    @param storagdomain.host.id|name: string
    @param storagdomain.type: string
    @param storagdomain.storage.type: string
    @param storagdomain.format: boolean
    @param storagdomain.storage.path: string
    @param storagedomain.storage.vfs_type: string
    [@param storagdomain.storage.address: string]
    [@param storagdomain.storage.mount_options: string]
- at Template/VM added:
  [@param template/vm.display.allow_reconnect: boolean]
- at Template/VM.add() added:
  [@param template/vm.display.allow_reconnect: boolean]
  [@param template/vm.vm.disks.disk: collection]
- added VMDisk.activate() method
- added VMDisk.deactivate() method
- added VMNic.activate() method
- added VMNic.deactivate() method

* Wed Mar 28 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.4
- get rid of papyon dep.
- implement ordereddict
- lower lxml dep.

* Wed Mar 21 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.3
- few methods argumets documentation fixes

* Wed Mar 14 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.2
- add papyon dependency (needed for odict)

* Tue Mar 13 2012 Michael Pasternak <mpastern@redhat.com> - 1.6.1
- rebase to latest api
  - refactored storage.create() parameters sets
  - added documentation for UPDATE methods arguments
  - implemented ars-doc support for collection based arguments
  - added vm.delete(Action) signature, to force vm removal
  - implemented support for collection based actions
  - added setupnetworks action on collection of HostNics
  - added prestarted_vms property to vmpool
  - added support for new rsdl section describing url parameters
  - added 'reboot' property in host (used to disable reboot after installation)
  - added 'plugged' property in vm disk (to plug/unplug the disk at runtime)
- implement support for documentation of netsed collection based args
- support actions on collection
- refactor documentation for collection based arguments
- implement support for collection based parameters
- implement url matrix parameters support
- Cluster with NULL DC cannot be attached to DC #782828
- use secured connection if no protocol specified
- add documentation for api proxy arguments
- add debugging capabilities

* Wed Feb 15 2012 Michael Pasternak <mpastern@redhat.com> - 1.5
- several minor improvements

* Fri Feb 10 2012 Michael Pasternak <mpastern@redhat.com> - 1.4
- added get_product_info() method to entry point

* Tue Feb 7 2012 Michael Pasternak <mpastern@redhat.com> - 1.3
- rebased to latest ovirt-engine-api:
  - added update() for role resource
  - various parameter wrapping improvements

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- use direct URI on get(id=x) rather than search pattern
- extention for #782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- add connectivity check and disconnect methods for #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build

